# Uses of Interface
com.sun.source.doctree.DocRootTree

Packages that use DocRootTree
Package
Description
com.sun.source.doctree
Provides interfaces to represent documentation comments as abstract syntax trees (AST).
com.sun.source.util
Provides utilities for operations on abstract syntax trees (AST).

## Uses of DocRootTree in com.sun.source.doctree

Methods in com.sun.source.doctree with parameters of type DocRootTree
Modifier and Type
Method
Description
`R`
DocTreeVisitor.`visitDocRoot(DocRootTree node, P p)`
Visits a DocRootTree node.

## Uses of DocRootTree in com.sun.source.util

Methods in com.sun.source.util that return DocRootTree
Modifier and Type
Method
Description
`DocRootTree`
DocTreeFactory.`newDocRootTree()`
Creates a new `DocRootTree` object, to represent an `{@docRoot}` tag.
Methods in com.sun.source.util with parameters of type DocRootTree
Modifier and Type
Method
Description
`R`
DocTreeScanner.`visitDocRoot(DocRootTree node, P p)`
Visits a DocRootTree node.
`R`
SimpleDocTreeVisitor.`visitDocRoot(DocRootTree node, P p)`
Visits a DocRootTree node.